program baby;

type BigString = String(200000);

type trec      = record
                   s, t, u : bigstring
		 end; 
     prec      = ^trec;

var r : prec;

begin
   GetMem(r, sizeof(bigstring));
   r^.s.capacity := 42;
   r^.s := 'OK';
   writeln (r^.s)
end.
